#
## Global
#

## Project
##   REF: https://gitlab.com/kalilinux/packages
#SALSA_GROUP=kalilinux/packages
SALSA_GROUP_ID=5034987

## Projects to skip
SALSA_SKIP=WIP

## Output (Comment out to disable, as the value which is set has no effect, its whether its defined or not)
SALSA_VERBOSE=yes
SALSA_DEBUG=yes

## Answers
#SALSA_YES=yes
SALSA_NO_FAIL=yes # As there are missing avatars for projects

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

#
## check_repo/update_repo/update_safe
#

## GitLab features
SALSA_ENABLE_ANALYTICS=yes
SALSA_ENABLE_AUTO_DEVOPS=no
SALSA_ENABLE_CONTAINER=yes # kaboxer requirement
SALSA_ENABLE_ENVIRONMENTS=no
SALSA_ENABLE_FEATURE_FLAGS=no
SALSA_ENABLE_FORKS=yes
SALSA_ENABLE_INFRASTRUCTURE=no
SALSA_ENABLE_ISSUES=yes
SALSA_ENABLE_JOBS=yes
SALSA_ENABLE_LFS=no
SALSA_ENABLE_MONITOR=no
SALSA_ENABLE_PACKAGES=no
SALSA_ENABLE_PAGES=no
SALSA_ENABLE_RELEASES=no
SALSA_ENABLE_REPO=yes
SALSA_ENABLE_REQUIREMENTS=no
SALSA_ENABLE_SECURITY_COMPLIANCE=no
SALSA_ENABLE_SERVICE_DESK=no
SALSA_ENABLE_SNIPPETS=no
SALSA_ENABLE_WIKI=no
SALSA_REQUEST_ACCESS=no

## Wiki feature is not configured at the project level but at the group level
##   REF: https://gitlab.com/groups/kalilinux/packages/-/edit

## Large File Storage feature is not configured at the project level but at the group level
##   REF: https://gitlab.com/groups/kalilinux/packages/-/edit

## Membership / Users can request access is not configured at the project level but at the group level
##   REF: https://gitlab.com/groups/kalilinux/packages/-/edit

## Description
SALSA_DESC=yes
SALSA_DESC_PATTERN="%p packaging for Kali Linux"

## Avatar
##   REF: https://gitlab.com/kalilinux/packages/kali-menu/-/tree/kali/master/menu-icons/256x256/apps
SALSA_AVATAR_PATH=./kali-menu/menu-icons/256x256/apps/kali-%p.png

## Badges are not configured at the project level but at the group level
##   REF: https://gitlab.com/groups/kalilinux/packages/-/edit

## Email notification
SALSA_EMAIL=yes
SALSA_EMAIL_RECIPIENTS="devel+git@kali.org dispatch@pkg.kali.org"

## IRC notifications are not configured at the project level but at the group level
##   REF: https://gitlab.com/groups/kalilinux/packages/-/hooks

## Branch
SALSA_SOURCE_BRANCH=master
SALSA_DEST_BRANCH=kali/master
SALSA_RENAME_HEAD=yes
SALSA_REMOVE_SOURCE_BRANCH=yes

## CI path
SALSA_CI_CONFIG_PATH=debian/kali-ci.yml

## Pipeline max time limit
##   If altering, also need to update:
##     - https://gitlab.com/kalilinux/tools/kali-ci-pipeline/-/blob/master/vars/kali.yml
##   10800 = 3 hours - Which is what GitLab SaaS is limited too
##     REF: https://docs.gitlab.com/ee/ci/runners/
SALSA_BUILD_TIMEOUT=10800

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

#
## pipeline_schedule
#

## Pipeline schedule
SALSA_SCHEDULE_DESC="Monthly Build"
SALSA_SCHEDULE_REF="kali/master"
SALSA_SCHEDULE_CRON="0 0 L * *"
SALSA_SCHEDULE_TZ="UTC"
SALSA_SCHEDULE_ENABLE=no # This is now done by ./.gitlab-ci.yml via ./bin/build-gitlab, but the entry is still required
SALSA_SCHEDULE_RUN=no
SALSA_SCHEDULE_DELETE=no

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

#
## merge_request
#

## Merge requests
SALSA_MR_REMOVE_SOURCE_BRANCH=yes
